Jump to content

  • Log in with Facebook Log in with Twitter Log In with Steam Log In with Google Sign In
  • Create Account
Photo

Replay problem

- - - - -

  • Please log in to reply
12 replies to this topic

#1
brauning

brauning

    L3: Novice

  • Regular User
  • 325 posts
27
A step in the right direction
  • Admin:15
  • Alias:=F|A=brauning
  • T-M:ET: 2-2
    CoD: 0-0
    TF2: 0-0
I am sure this is very easy problem, but personally I see it the first time.. others mods work well just jay doesn't..

Attached Thumbnails

  • ehee.jpg



Click here to login or here to register to remove this ad, it's free!

#2
brauning

brauning

    L3: Novice

  • Regular User
  • 325 posts
27
A step in the right direction
  • Admin:15
  • Alias:=F|A=brauning
  • T-M:ET: 2-2
    CoD: 0-0
    TF2: 0-0
http://fearless-assa...jaymod-2110tar/ that i need?

#3
SunLight

SunLight

    L11: Assassin

  • Clan Friend
  • 5,090 posts
3,225
Is a bearer of wisdom
  • Admin:10
  • Server:ETSW2
Contributor
in your jaymod folder you should have servral pk3 files (one for each version), like:

jaymod-x.x.x.pk3 etc, where x.x.x is the version, plus you have maybe these files:
ui.mp and cgame.mp (.dll for windows, .so for linux)

I think you can delete (or move elsewhere temporarily) these files (*not* the pk3s, but the dlls), then open the correct pk3 (same version of your demo, for example open jaymod-2.2.0.pk3) the pk3 file is like a zip file, only called pk3. Open it with winrar or similar utility for zip, then extract ui and cgame files to your jaymod folder.

(for windows it's cgame_mp_x86.dll and ui_mp_x86.dll)

The demo should work. After you have finished you can put back the older ones you had before or leave it as it is.
An alternative is keeping only one jaymod pk3 (only the correct version) and temporarily moving the others in another folder.

#4
brauning

brauning

    L3: Novice

  • Regular User
  • 325 posts
27
A step in the right direction
  • Admin:15
  • Alias:=F|A=brauning
  • T-M:ET: 2-2
    CoD: 0-0
    TF2: 0-0
Ah thank you, this thing gave me some another error, maybe i took or does not some wrong while, but I took whole old jay folder out and DL all new jay stuff, and now it work.

#5
Lo0n

Lo0n

    L4: Apprentice

  • Regular User
  • 453 posts
19
A step in the right direction
  • Admin:12
  • Server:Jay2
I'm having the same problem that brauning had, now I did what you said SunLight and I ended up getting this error:

BG_IndexForString: unknown token 'm97': (animation/scripts/human_base.script, line 25)

Any help would be apperciated.

#6
brauning

brauning

    L3: Novice

  • Regular User
  • 325 posts
27
A step in the right direction
  • Admin:15
  • Alias:=F|A=brauning
  • T-M:ET: 2-2
    CoD: 0-0
    TF2: 0-0

I'm having the same problem that brauning had, now I did what you said SunLight and I ended up getting this error:

BG_IndexForString: unknown token 'm97': (animation/scripts/human_base.script, line 25)

Any help would be apperciated.

read what I did, this helped me.

#7
Lo0n

Lo0n

    L4: Apprentice

  • Regular User
  • 453 posts
19
A step in the right direction
  • Admin:12
  • Server:Jay2
is the link in the second post what I need to download?

#8
brauning

brauning

    L3: Novice

  • Regular User
  • 325 posts
27
A step in the right direction
  • Admin:15
  • Alias:=F|A=brauning
  • T-M:ET: 2-2
    CoD: 0-0
    TF2: 0-0

is the link in the second post what I need to download?

Nope, just join to the game, if you use win7 then run the game as admin.

#9
SunLight

SunLight

    L11: Assassin

  • Clan Friend
  • 5,090 posts
3,225
Is a bearer of wisdom
  • Admin:10
  • Server:ETSW2
Contributor
I think these problems arise when you have more versions of jaymod together, so deleting the folder and redownloading will do the trick, but it's not really necessary...

@shoot2kill:
maybe you deleted some pk3 and you don't have the animation for m97, or it could be another issue, try keeping the pk3 of the correct jaymod only, also you don't need to delete f|a pk3's or you'll have to download them again, just make sure you have only one jaymod, and that the dlls are the correct ones for that version.

#10
Joker

Joker

    L10: Grand Master

  • Co-Leader
  • 3,971 posts
1,357
Name known to all
  • Admin:19
  • Server:Jay3
  • T-M:28-21
Had the same problem yday. Easy to solve, join a server running that mod, it will load it then you can review demo. Hope I could help

#11
Belo

Belo

    FIFA Leader

  • Inactive Member
  • 732 posts
173
On a distinguished road
  • Admin:15
  • Server:Jay1
  • Alias:=F|A=Maryse
  • T-M:1:1
Contributor
I tried to play Miau's demo too. Got same error as Brauning. All is fixed, it loads the demo.
But then after 1 or 2 sec, it disconnects with that error - "Unknown event : 4".
Anybody?

#12
nani*

nani*

    L10: Grand Master

  • Honored Veteran
  • 4,502 posts
4,371
Glorious beacon of light
  • EvolveHQ:naniax
  • Admin:20
  • Server:None
  • T-M:ET: 20-14
    Cod: 0-0
    TF2: 0-0

Donator

I am sure this is very easy problem, but personally I see it the first time.. others mods work well just jay doesn't..


I also had this problem when trying to view a demo few weeks ago. Do what Joker said above: join the server where it got the demo, disconnected from the server (not the game) and then go to replays. This is what I did and problem solved.

#13
SunLight

SunLight

    L11: Assassin

  • Clan Friend
  • 5,090 posts
3,225
Is a bearer of wisdom
  • Admin:10
  • Server:ETSW2
Contributor

I tried to play Miau's demo too. Got same error as Brauning. All is fixed, it loads the demo.
But then after 1 or 2 sec, it disconnects with that error - "Unknown event : 4".
Anybody?

Sorry if many things may be known to you already, but I write this also for people who don't know this stuff:

To successfully watch a demo, you need to load the correct game client (cgame_mp_x86.dll, for windows), that is because some mods can load other mods demos (like, with etpro you can load or used to be able to load etpub demos) but in general you need the correct mod (correct cgame dll).

Let's say you need to watch a jaymod demo:

0. if the et version is incorrect (2.60b vs others) you need to rename the file.
1. make sure you start et with the correct mod (+set fs_game jaymod in the shortcut) or you can switch later by clicking, mods then jaymod. Otherwise the game looks for the dll in the wrong folder, or loads etmain dll which can't obviously show jaymod demos.
3. in your jaymod folder there might be more than one cgame dll, thus making conflict (you can have one in the folder, and more in pk3s) so make sure there is only one, or that the one in the folder is the correct version (for example you need jaymod 2.2.0 ? you need the cgame dll taken from that pk3, and possibly the ui dll too) because if I remember correctly the dll in the folder (outside the pk3s) gets the priority.

If the game loaded the correct dll then it should work (while loading the map you should see the text jaymod 2.2.0 for example), if it doesn't work then you have other installation problems. I think unknown event is because you try to load a jaymod demo with etmain cgame... you need to load jaymod dll, see steps above...




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users